package com.ruoyi.ehsRisk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsRisk.domain.EhsRisk;
import java.util.List;

/**
 * 风险信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-13
 */
public interface EhsRiskMapper extends BaseMapper<EhsRisk> {
	/**
	 * 查询风险信息
	 *
	 * @param riskId 风险信息主键
	 * @return 风险信息
	 */
	public EhsRisk selectEhsRiskByRiskId(Long riskId);

	/**
	 * 查询风险信息列表
	 *
	 * @param ehsRisk 风险信息
	 * @return 风险信息集合
	 */
	public List<EhsRisk> selectEhsRiskList(EhsRisk ehsRisk);
}
